Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000340Core InformPropertiespublic2010-10-22 11:362010-10-28 00:31
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000340: Error message seems contradictory in context
DescriptionA little silly perhaps, and maybe not worth fixing, but trying to give every kind a number produces this error:

- - - -
Problem. You wrote 'A kind has a number called x' : but only an object, kind, rulebook, action or activity can be allowed to have properties or variables, so for instance 'A door has a colour' is fine but not 'A number has a length'.
- - - -

In contrast, the text

- - - -
Every kind has a number called x.
- - - -

does not produce the confusing message; it implicitly creates an object ``every kind.''
Minimal Source Text To Reproduce
There is a room.
A kind has a number called x.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000730)
graham (administrator)
2010-10-24 02:43

A more specific problem message is now produced here.

- Issue History
Date Modified Username Field Change
2010-10-22 11:36 EmacsUser New Issue
2010-10-23 00:10 jmcgrew Status new => confirmed
2010-10-24 02:43 graham Note Added: 0000730
2010-10-24 02:43 graham Status confirmed => resolved
2010-10-24 02:43 graham Resolution open => fixed
2010-10-24 02:43 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker